% BIOE xxxx Template for HW xxx
% Created On: 2016.04.25


% This is code to perform multivariable conparisions of the stock data 
% in the attached data set


%%%%%%
% Section 1. Load the data
% a good loader shouldn't care how many things we are comparing or
% what the exact names are. This load code will bring in all the *.csv
% files in the directory

dataFolder = 'Biostock Data Set';
% the file separation character on this system (PC/MAC/UNIX)
fsepchar = filesep();

% get all the file names ending in *.csv
fileNames = dir([dataFolder, fsepchar, '*.csv']);
% filenames is a struct

% how many files we are working with
Nfiles = length(fileNames);
% we don't know how long the files are yet. We are going to assume that
% files all have the same # of points(closing prices) in them. We are not
% going to check if the date ranges are the same.


 M = csvread([dataFolder, fsepchar, fileNames(1).name], 1, 1);
 [Ndates, Nvars] = size(M);
 
 % each row is a closing date in this matrix Rows x Columns
 closingPrices = zeros(Ndates, Nfiles); % initalizing this variable so that I can overwrite 
 tickerSyms = cell(1, Nfiles);
 
for ii = 1:Nfiles
   M = csvread([dataFolder, fsepchar, fileNames(ii).name], 1, 1);
   % the data is in order from latest to oldest, normal
   % time scales go from oldest to newst, reorder it
   closingPrices(:, ii) = M(end:-1:1, 4);
   tickerSyms{ii} = fileNames(ii).name(1:end-4);
end


% we actually don't care what the absolute stock prices are but how they
% change. The change is the return (interest). Change closing prices in to
% daily % change
% we are dividing the closing price of the following day by the closing
% price of the prvious. This is Daily % return

dailyPerChange = closingPrices(2:end, :)./closingPrices(1:end-1, :);

%%%%%%%
% Section 2: Assess Normality of data set

% create histograms of the daily percent changes
hist(dailyPerChange(:, 1), 50);
qqplot(dailyPerChange(:,1));

boxplot(dailyPerChange, tickerSyms);

%%%%%%%
% Step 3: Are the daily returns different
% Perform appropriate statistical tests anova1, anova2, kruskalwallis

%p1 = anova1(dailyPerChange(:, 1:end))
%p1 = kruskalwallis(dailyPerChange(:, 1:end));

%p1 = anova1(dailyPerChange(:, 2:end));
%p2 = kruskalwallis(dailyPerChange(:, 2:end));

